search_api_backend:
  label: Search API backend
  plugin_manager_service_id: plugin.manager.search_api.backend
  plugin_definition_decorator_class: \Drupal\plugin\PluginDefinition\ArrayPluginDefinitionDecorator

search_api_datasource:
  label: Search API datasource
  plugin_manager_service_id: plugin.manager.search_api.datasource
  plugin_definition_decorator_class: \Drupal\plugin\PluginDefinition\ArrayPluginDefinitionDecorator

search_api_data_type:
  label: Search API data type
  plugin_manager_service_id: plugin.manager.search_api.data_type
  plugin_definition_decorator_class: \Drupal\plugin\PluginDefinition\ArrayPluginDefinitionDecorator

search_api_display:
  label: Search API display
  plugin_manager_service_id: plugin.manager.search_api.display
  plugin_definition_decorator_class: \Drupal\plugin\PluginDefinition\ArrayPluginDefinitionDecorator

search_api_processor:
  label: Search API processor
  plugin_manager_service_id: plugin.manager.search_api.processor
  plugin_definition_decorator_class: \Drupal\plugin\PluginDefinition\ArrayPluginDefinitionDecorator

search_api_parse_mode:
  label: Search API parse mode
  plugin_manager_service_id: plugin.manager.search_api.parse_mode
  plugin_definition_decorator_class: \Drupal\plugin\PluginDefinition\ArrayPluginDefinitionDecorator

search_api_tracker:
  label: Search API tracker
  plugin_manager_service_id: plugin.manager.search_api.tracker
  plugin_definition_decorator_class: \Drupal\plugin\PluginDefinition\ArrayPluginDefinitionDecorator
